<section class="section-margin--small mb-5">
  <div class="container">
    <div class="row">

      <!-- Side bar -->
      <div class="col-xl-3 col-lg-4 col-md-5">

        <!-- Categories -->
        <div class="sidebar-categories">
          <div class="head">Categorias</div>
          <ul class="main-categories">
            <li class="common-filter">
              <form action="#">
                <ul>
                  <!-- All-->
                  <li class="filter-list" (click)="filterData(category,'Category')">
                    <input class="pixel-radio" type="radio" name="category" value="all" [ngModel]="category">
                    <label for="all">
                      Todas
                    </label>
                  </li>

                  <!-- News -->
                  <li class="filter-list" (click)="filterData(category,'Category')">
                    <input class="pixel-radio" type="radio" name="category" value="news" [ngModel]="category">
                    <label for="news">
                      Novidades
                    </label>
                  </li>

                  <!-- Women -->
                  <li class="filter-list" (click)="filterData(category,'Category')">
                    <input class="pixel-radio" type="radio" name="category" value="women" [ngModel]="category">
                    <label for="women">
                      Mulher
                    </label>
                  </li>

                  <!-- Men -->
                  <li class="filter-list" (click)="filterData(category,'Category')">
                    <input class="pixel-radio" type="radio" name="category" value="men" [ngModel]="category">
                    <label for="men">
                      Homem
                    </label>
                  </li>

                  <!-- Kids -->
                  <li class="filter-list" (click)="filterData(category,'Category')">
                    <input class="pixel-radio" type="radio" name="category" value="kids" [ngModel]="category">
                    <label for="kids">
                      Criança
                    </label>
                  </li>
                </ul>
              </form>
            </li>
          </ul>
        </div>

        <!-- Filters -->
        <div class="sidebar-filter">
          <div class="top-filter-head">Filtros</div>

          <!-- Types -->
          <div class="common-filter">
            <div class="head">Produtos</div>
              <form action="#">
                <ul>
                  <li class="filter-list" (click)="filterData(type,'Types')">
                    <input class="pixel-radio" id="Todos" type="radio" name="type" value="all" [ngModel]="type">
                    <label>Todos</label>
                  </li>
                </ul>
                <ul *ngFor="let item of types">
                  <li class="filter-list" (click)="filterData(item.name,'Types')">

                    <input class="pixel-radio" id={{item.name}} type="radio" name="type" value="{{item.name}}" [ngModel]="type">
                    <label for="{{item.name}}">
                      {{item.name}}
                      <span> ({{ item.count }})</span>
                    </label>
                  </li>
                </ul>
              </form>
          </div>

          <!-- Brands-->
          <div class="common-filter">
            <div class="head">Marcas</div>
              <form action="#">
                <ul>
                  <li class="filter-list" (click)="filterData(brand,'Brands')">
                    <input class="pixel-radio" id="Todas" type="radio" name="brand" value="all" [ngModel]="brand">
                    <label>Todas</label>
                  </li>
                </ul>
                <ul *ngFor="let item of brands">
                  <li class="filter-list" (click)="filterData(item.name,'Brands')">

                    <input class="pixel-radio" id={{item.name}} type="radio" name="brand" value="{{item.name}}" [ngModel]="brand">
                    <label for="{{item.name}}">
                      {{item.name}}
                      <span> ({{ item.count }})</span>
                    </label>
                  </li>
                </ul>
              </form>
          </div>

          <!-- Colors -->
          <div class="common-filter">
            <div class="head">Cores</div>
            <form action="#">
                <ul>
                  <li class="filter-list" (click)="filterData(color,'Colors')">
                    <input class="pixel-radio" id="Todas" type="radio" name="color" value="all" [ngModel]="color">
                    <label>Todas</label>
                  </li>
                </ul>
                <ul *ngFor="let item of colors">
                  <li class="filter-list" (click)="filterData(item.name,'Colors')">
                    <input class="pixel-radio" type= "radio" id="{{item.name}}" name="color" value="{{item.name}}" [ngModel]="color">
                    <label for="{{item.name}}">
                      {{item.name}}
                      <span>({{item.count}})</span>
                    </label>
                  </li>
                </ul>
            </form>
          </div>

          <!-- Price -->
          <!-- <div class="common-filter">
            <div class="head">Preço</div>
            <div class="price-range-area">
              <div id="price-range"></div>
              <div class="value-wrapper d-flex">
                <div class="price">Preço:</div>
                <span>€</span>
                <div id="lower-value">0</div>
                <div class="to">to</div>
                <span>€</span>
                <div id="upper-value">500</div>
              </div>
            </div>
          </div> -->

        </div>
      </div>

      <div class="col-xl-9 col-lg-8 col-md-7">
        <!-- Start Filter Bar -->
        <div class="filter-bar d-flex flex-wrap align-items-center">

          <!-- Sort -->
          <div class="sorting">
            <select [ngModel]="sort">
              <option value="sortAsc">Mais recente</option>
              <option value="sortDesc">Mais antigo</option>
              <option value="sortPriceAsc">Menor preço</option>
              <option value="sortPriceDesc">Maior preço</option>
            </select>
          </div>

          <!-- Search bar -->
          <div>
            <div class="input-group filter-bar-search">
              <input type="text" placeholder="Pesquisar">
              <div class="input-group-append">
                <button type="button"><i class="ti-search"></i></button>
              </div>
            </div>
          </div>
        </div>
        <!-- End Filter Bar -->


        <!-- Start Filtered products -->
        <section class="lattest-product-area pb-40 category-list">
          <div class="row">
            <div class="col-md-6 col-lg-4" *ngFor="let product of products">
              <div class="card text-center card-product">
                <div class="card-product__img">
                  <img class="card-img" src="{{product.imageUrl}}" alt="">
                  <ul class="card-product__imgOverlay">
                    <li><button><i class="ti-search"></i></button></li>
                    <li><button><i class="ti-shopping-cart"></i></button></li>
                  </ul>
                </div>
                <div class="card-body">
                  <p>{{product.category}}</p>
                  <h4 class="card-product__title"><a [routerLink]="['/product', product.id]">{{product.name}}</a></h4>
                  <p class="card-product__price">€{{product.price}}</p>
                </div>
              </div>
            </div>
          </div>
        </section>
        <!-- End Filteres Products -->

      </div>
    </div>
  </div>
</section>
